{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ACTIVITE; 
            externalType = VARCHAR2; 
            name = activite; 
            valueClassName = NSString; 
            width = 300; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADRESSE; 
            externalType = VARCHAR2; 
            name = adresse; 
            valueClassName = NSString; 
            width = 150; 
        }, 
        {
            allowsNull = Y; 
            columnName = PERSO_ADRESSE; 
            externalType = VARCHAR2; 
            name = adressePerso; 
            valueClassName = NSString; 
            width = 150; 
        }, 
        {
            columnName = CLE; 
            externalType = NUMBER; 
            name = cle; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = CRP_CODE; 
            externalType = VARCHAR2; 
            name = crpCode; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = EMAIL; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = PERSO_ADRESSE; }; 
            name = email; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = EMAIL_PERSO; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = PERSO_ADRESSE; }; 
            name = emailPerso; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = FAX_PRO; 
            externalType = VARCHAR2; 
            name = faxPro; 
            valueClassName = NSString; 
            width = 14; 
        }, 
        {
            allowsNull = Y; 
            columnName = FONCTION_INDIVIDU; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = F; }; 
            name = fonctionIndividu; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDENTITE; 
            externalType = VARCHAR2; 
            name = identite; 
            valueClassName = NSString; 
            width = 152; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDENTITE_BIS; 
            externalType = VARCHAR2; 
            name = identiteBis; 
            valueClassName = NSString; 
            width = 152; 
        }, 
        {
            allowsNull = Y; 
            columnName = LOGIN; 
            externalType = VARCHAR2; 
            name = login; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_ENTREPRISE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = N; }; 
            name = nomEntreprise; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRO_POLE; 
            externalType = VARCHAR2; 
            name = proPole; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRO_SERVICE; 
            externalType = VARCHAR2; 
            name = proService; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = QUALITE; 
            externalType = VARCHAR2; 
            name = qualite; 
            valueClassName = NSString; 
            width = 300; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEL_PERSO; 
            externalType = VARCHAR2; 
            name = telPerso; 
            valueClassName = NSString; 
            width = 14; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEL_PRO; 
            externalType = VARCHAR2; 
            name = telPro; 
            valueClassName = NSString; 
            width = 14; 
        }, 
        {
            allowsNull = Y; 
            columnName = VILLE; 
            externalType = VARCHAR2; 
            name = ville; 
            valueClassName = NSString; 
            width = 150; 
        }, 
        {
            allowsNull = Y; 
            columnName = PERSO_VILLE; 
            externalType = VARCHAR2; 
            name = villePerso; 
            valueClassName = NSString; 
            width = 150; 
        }
    ); 
    attributesUsedForLocking = (
        identite, 
        proPole, 
        proService, 
        cle, 
        crpCode, 
        adresse, 
        ville, 
        adressePerso, 
        villePerso, 
        qualite, 
        nomEntreprise, 
        fonctionIndividu, 
        identiteBis, 
        activite, 
        email, 
        emailPerso, 
        telPro, 
        faxPro, 
        telPerso, 
        login
    ); 
    className = EOGenericRecord; 
    classProperties = (
        identite, 
        proPole, 
        proService, 
        cle, 
        crpCode, 
        adresse, 
        ville, 
        adressePerso, 
        villePerso, 
        qualite, 
        nomEntreprise, 
        fonctionIndividu, 
        identiteBis, 
        activite, 
        email, 
        emailPerso, 
        telPro, 
        faxPro, 
        telPerso, 
        login
    ); 
    externalName = ETIQUETTES; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            identite, 
            proPole, 
            proService, 
            cle, 
            crpCode, 
            adresse, 
            ville, 
            adressePerso, 
            villePerso, 
            qualite, 
            nomEntreprise, 
            fonctionIndividu
        ); 
    }; 
    name = Etiquettes; 
    primaryKeyAttributes = (cle); 
}
